Description: Hi Cecil and all other developers,

I read a similar ticket about nine month ago ... any new thoughts about a x86_64 version?

Any problems? Any pros and cotras?

History
03/30/2010 07:50 am - martin1802
sorry missed to set it as feature not bug ... 

03/30/2010 07:57 am - jams
Far as I am aware this is still on the list.
The idea was to get a stable version of the i686 before starting work on  x64.  Basing off a rapidly moving target is not a good idea and would double 
the effort.

03/31/2010 01:51 am - martin1802
Hi jams

yes I agree with you ... it's only a thought, maybe it will be nice to have ... I tried to install mythtv on my opensuse 11.2 x86_64 not really happy ... 
packman has old 0.21 packages and 0.22 packages have problems to install with deps problems :-(

I prefer to have a multiboot system with LinHES and separate openSUSE 11.2 :-) ...

06/08/2010 11:25 am - brfransen
- Tracker changed from Bug to Feature

07/06/2010 12:18 pm - brfransen
- Subject changed from [Feature-request] x86_64 Version of LinHES 6.xx.xx ... to x86_64 Version of LinHES 6.xx.xx

07/06/2011 05:20 am - martin1802
maybe change thread title to "x86_64 version for LinHES R7" ... :-)

07/26/2011 04:06 pm - cecil
We are discussing this... For me, there would have to be at least a 10% difference in performance between i686 and x86_64 to warrant the time and 
effort it takes to build x86_64 and maintain two branches of LinHES.

08/01/2011 03:33 pm - brfransen
- Target version deleted (7.1)

08/01/2011 04:57 pm - brianwc
I have really wanted this for a long time because, as I understand it, I cannot make full use of the 4 GB of RAM that I have in my LinHES machine 
unless I use an x86_64 kernel. (If there's a way to do this with the i686 kernel, I cannot figure it out.)

RAM has gotten so cheap that I would expect a lot of builders of new LinHES boxes would face the same disappointment. Anyway, I know maintaining 
two kernels doesn't sound great, but I'd be really surprised if the majority of LinHES users aren't migrating to (or already on) 64-bit hardware. I would 
think the i686 kernel could be phased out over time and we'd be back to just one kernel to maintain.

08/01/2011 05:06 pm - cecil
To do this right, it would take more than a kernel. An announcement will be made shortly, I'm sure you'll be happy. Thanks for sticking with us!

10/30/2012 06:10 am - jams
- Target version set to 8.0

A x86_64 version of R6 and R7 will not happen, but R8 will be 64 bit

10/30/2012 06:11 am - jams
- Status changed from New to Closed
